#ifndef SFMRCONFIG_H
#define SFMRCONFIG_H
///////////////////////////////////////////////////////
// Debug
///////////////////////////////////////////////////////

// Uncomment the next line to use debug mode
#cmakedefine FMR_USE_LOG

///////////////////////////////////////////////////////
// ASSERT
///////////////////////////////////////////////////////

#cmakedefine FMR_USE_ASSERT

///////////////////////////////////////////////////////
// MPI
///////////////////////////////////////////////////////

#cmakedefine FMR_USE_MPI

///////////////////////////////////////////////////////
// Memory trace
///////////////////////////////////////////////////////

#cmakedefine FMR_USE_MEM_STATS

///////////////////////////////////////////////////////
// Blas
///////////////////////////////////////////////////////

#cmakedefine FMR_USE_MKL_AS_BLAS
#cmakedefine FMR_USE_OPENBLAS_AS_BLAS
#cmakedefine FMR_USE_BLIS_AS_BLAS
// Fortran Mangling
#cmakedefine FMR_BLAS_ADD_
#cmakedefine FMR_BLAS_UPCASE
#cmakedefine FMR_BLAS_NOCHANGE


///////////////////////////////////////////////////////
// Arpack
///////////////////////////////////////////////////////

#cmakedefine FMR_USE_ARPACK
// TODO: external arpack
// Fortran Mangling
#cmakedefine FMR_ARPACK_ADD_
#cmakedefine FMR_ARPACK_UPCASE
#cmakedefine FMR_ARPACK_NOCHANGE


///////////////////////////////////////////////////////

// Path to the FMR DATA (For UTests)
///////////////////////////////////////////////////////
#include <string>
const std::string FMRDataPath("@CMAKE_SOURCE_DIR@/Data/");


///////////////////////////////////////////////////////
// Flags and libs used to compile
///////////////////////////////////////////////////////
const std::string FMRCompileFlags("@FMR_COMPILE_FLAGS@");
const std::string FMRCompileLibs("@FMR_COMPILE_LIBS@");

#endif // SFMRCONFIG_H
